<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ActiveTransaction..::.TransactionStatus Enumeration
ActiveTransaction Class See Also Send Feedback

The status of an active transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public enum TransactionStatus

Visual Basic (Declaration)

    Public Enumeration TransactionStatus

Visual C++

    public enum class TransactionStatus

# Members

| Member name | Description
--- | --- | ---
| ABORTED | The transaction has been aborted
| COMMITTED | The transaction has been committed
| PREPARED | The transaction has been prepared
| RUNNING | The transaction is running

# See Also

BerkeleyDB Namespace